Package org.apache.maven.scm.provider.git.command.diff

## Class GitDiffConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.git.command.diff.GitDiffConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class GitDiffConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Brett Porter, Mark Struberg, Olivier Lamy

### Constructor Summary

Constructors
`GitDiffConsumer​(ScmLogger logger, java.io.File workingDirectory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ScmFile>` `getChangedFiles()`
`java.util.Map<java.lang.String,​java.lang.CharSequence>` `getDifferences()`
`java.lang.String` `getPatch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitDiffConsumer

    public GitDiffConsumer​(ScmLogger logger,
                           java.io.File workingDirectory)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getChangedFiles

    public java.util.List<ScmFile> getChangedFiles()

#### getDifferences

    public java.util.Map<java.lang.String,​java.lang.CharSequence> getDifferences()

#### getPatch

    public java.lang.String getPatch()